Bug 911448 - Unnecessary stat() and xattr() system calls made processing GET operations for containers and accounts
Unnecessary stat() and xattr() system calls made processing GET operations fo...
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Luis Pabón
Depends On:
Blocks: 903396 978061
  Show dependency treegraph
Reported: 2013-02-14 22:05 EST by Peter Portante
Modified: 2015-10-22 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Portante 2013-02-14 22:05:56 EST
Only when GET requests for containers and accounts are specified using a content-type header of XML or JSON is the server required to return extended information about the objects. For normal GET requests just getting the names is sufficient.

For accounts with large numbers of containers, or containers with large numbers of objects, these normal requests take longer to respond than necessary.
Comment 1 Junaid 2013-03-21 03:35:59 EDT
currently, there is no easy mechanism to pass this information. Can you elaborate on the approach you are looking at to address this?
Comment 2 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.